<?php

namespace Schaffen\Ged\Contract\Models;

use Illuminate\Database\Eloquent\Model;
use Schaffen\Ged\Contract\Models\ContractService;

class Contract extends Model
{

    protected $table = "ged.contrato";
    protected $primaryKey = "con_codigo";
    protected $fillable = [ "con_fk_pes_codigo", "con_fk_fil_codigo", "con_numero_contrato", "con_data_criacao",
                            "con_data_inicio", "con_data_fim", "con_valor_contrato", "con_possui_mensalidade", "con_valor_mensalidade",
                            "con_fk_tap_codigo", "con_observacao", "con_observacao_produtos_servicos",
                            "con_contrato", "con_arquivo", "con_mime_type", "con_nome_arquivo", "con_uf_municipio", 
                            "con_status", "con_fk_cot_codigo","con_discriminacao_nfse"];

    const CREATED_AT = "con_date_insert";
    const CREATED_BY = "con_user_insert";
    const UPDATED_AT = "con_date_update";
    const UPDATED_BY = "con_user_update";

    public $with = ["contractServices"];

    public function contractServices() {
        return $this->hasMany(ContractService::class,"cos_fk_con_codigo");
    }

}