<?php

namespace Schaffen\Ged\Contract\Models;

use Illuminate\Database\Eloquent\Model;
use Schaffen\Core\Product\Models\Product;

class ContractService extends Model
{

    protected $useValidateRules = true;
    protected $rules = [
        'cos_fk_con_codigo' => 'integer',
        'cos_fk_pro_codigo' => 'integer',
        'cos_quantidade' => 'integer',
        'cos_franquia' => 'integer',
    ];
 
    protected $validationMessages = [
        'cos_fk_con_codigo.integer' => "O formato do campo 'fk_con_codigo' é inválido (informar número inteiro).",
        'cos_fk_pro_codigo.integer' => "O formato do campo 'fk_pro_codigo' é inválido (informar número inteiro).",
        'cos_quantidade.integer' => "O formato do campo 'quantidade' é inválido (informar número inteiro).",
        'cos_franquia.integer' => "O formato do campo 'franquia' é inválido (informar número inteiro).",
    ];
 
    protected $table = "ged.contrato_servico";
    protected $primaryKey = "cos_codigo";
    protected $fillable = ["cos_fk_con_codigo","cos_fk_pro_codigo","cos_quantidade","cos_franquia"];
    const CREATED_AT = "cos_date_insert";
    const CREATED_BY = "cos_user_insert";
    const UPDATED_AT = "cos_date_update";
    const UPDATED_BY = "cos_user_update";
 
    public $with = ["service"];
 
    public function service() {
       return $this->belongsTo(Product::class,"cos_fk_pro_codigo")->with(['product_variety', 'product_product_setup_attribute']);
    }

}